-- vim: ts=4 sw=4 ai et

if not Ammo then Ammo = {} end
Ammo.ammobag = {}

local L = Ammo.strings

local ARROWS_BULLETS = 0x3

local function is_ammo_in_slot (bag, slot)
    local item = GetContainerItemID (bag, slot)
    if item then
        return select (9, GetItemInfo (item)) == "INVTYPE_AMMO"
    end
end

function Ammo.ammobag:SelectedBagHasAvailableSpace (bag, slot)
    local ammobag_id = Ammo.db.profile.ammobag_bagid
    local free, btype = GetContainerNumFreeSlots (ammobag_id)
--Ammo.addon:Print("debug: free at "..ammobag_id.." - "..free)
    if btype ~= 0 and bit.band (ARROWS_BULLETS, btype or 0) == 0 then
--Ammo.addon:Print("debug: ammo can't go in bag "..ammobag_id..", btype is "..btype..", res is "..bit.band(ARROWS_BULLETS, btype))
    return false end -- can't put ammo in this bag, regardless of space
    if free > 0 then return true end

    -- Right type of bag, but no slots free, look for partial ammo stacks
    local itemid = GetContainerItemID (bag, slot)
    local needed = select (2, GetContainerItemInfo (bag, slot))
    local maxstack = select (8, GetItemInfo (itemid))
    local available = 0
    for s = 1, GetContainerNumSlots (ammobag_id) do
        if GetContainerItemID (ammobag_id, s) == itemid then
            -- It's a stack of the right ammo type, if it's not a full stack track how much is available
            available = available + (maxstack - select (2, GetContainerItemInfo (ammobag_id, s)))
        end
    end
--Ammo.addon:Print("debug: have "..available..", need "..needed)
    return available >= needed
end

function Ammo.ammobag:PutItem ()
    if Ammo.db.profile.ammobag_bagid == 0 then
        PutItemInBackpack ()
    else
        PutItemInBag (ContainerIDToInventoryID (Ammo.db.profile.ammobag_bagid))
    end
end

function Ammo.ammobag:ArrangeAmmo ()
    if not Ammo.db.profile.ammobag_enabled then return end
    if UnitOnTaxi ("player") then return end -- issues with rearranging stuff while on a taxi, hmm...
    for bag = 0, 4 do
        -- Only process ammo in bags that aren't the designated ammo bag
        if bag ~= Ammo.db.profile.ammobag_bagid then
            for slot = 1,GetContainerNumSlots (bag) do
                if is_ammo_in_slot (bag, slot) and self:SelectedBagHasAvailableSpace (bag, slot) then
                    -- If the destination bag has a number of half-full stacks, we might need to move this stack more than once (?)
                    -- Erk, seems to cause a lockup, guessing the containers don't update until the script returns
                    --while GetContainerItemID (bag, slot) do
                        PickupContainerItem (bag, slot)
                        self:PutItem ()
                    --end
--                else Ammo.addon:Print("debug: not ammo/space at "..bag..","..slot.." - space: "..(self:SelectedBagHasAvailableSpace(bag,slot) and "yes" or "no"))
                end
            end
        end
    end
end

